/*
 * analogradio - A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 */

#ifndef AR__ANALOGRADIO_H
#define AR__ANALOGRADIO_H

#include <vdr/plugin.h>

//-----cMenuSetupAnalogRadio---------------------------------------------------

class cMenuSetupAnalogRadio : public cMenuSetupPage {
private:
  analogRadioSetup * settings;
protected:
  virtual void Store(void);
public:
  cMenuSetupAnalogRadio(analogRadioSetup * arsSettings);
};

//-----cPluginAnalogRadio------------------------------------------------------

class cPluginAnalogRadio : public cPlugin {
  private:
    cAnalogRadioDevice * analogRadioDevice;
    char * device;
    char * audio_device;
    e_audio_mode audio_mode;
    char * before;
    char * after;
    analogRadioSetup * settings;
  public:
    cPluginAnalogRadio(void);
    virtual ~cPluginAnalogRadio();
    virtual bool Initialize(void);
    virtual bool Start(void);
    virtual const char *Version(void) { return VERSION; }
    virtual const char *Description(void) { return DESCRIPTION; }
    virtual const char *CommandLineHelp(void);
    virtual bool ProcessArgs(int argc, char *argv[]);
    virtual cMenuSetupPage *SetupMenu(void);
    virtual bool SetupParse(const char *Name, const char *Value);
};

#endif // AR__ANALOGRADIO_H
